Routes
Get collection data
GEThttps://api.insurely.com/insurance/collection/{collectionId}/data
Request
Path Parameters
collectionIdstring
Header Parameters
insurely-languagestring
Possible Enum values are
sv, en, no, da, et, fr, de, lv, lt or ru.Insurely-Versionstring
Specifies the API version to use. Must match the version of the endpoint you are targeting.
Possible Enum values are
2025-01-01.Responses
Insurance data successfully fetched.
Body
addonsArray<AddOn>
A list of addons that this insurance has
coverageCoverage
The coverage details of the insurance, including parameters
deductiblesArray<Deductible>
A list of deductibles associated with the insurance
documentsArray<Document>
A list of documents associated with the insurance
idstring
Unique identifier for the insurance.
insuranceInsuranceWrapper
The basic insurance data collected from the insurance company
personalInformationobject
A map of personal information for the person who collected data. E.g. personal number.
termsUrlstring
URL to the current insurance terms as a PDF, will be missing if there is no link.
cURL
curl https://api.insurely.com/insurance/collection/{collectionId}/data \
-H "client-id: <client-id>"RESPONSE 200
[
{
"addons": [
{
"addOnId": "addonPrevention",
"addOnName": "Prévention"
}
],
"coverage": {
"documents": [],
"isVersionRequested": false,
"parameters": []
},
"deductibles": [
{
"deductibleAmount": 0,
"deductibleId": "deductibleFixed",
"deductibleName": "Franchise"
},
{
"deductibleAmount": 0,
"deductibleId": "deductibleYearly",
"deductibleName": "Franchise annuelle"
}
],
"id": "542f086b-976f-4c97-acaa-b2e9744cbdd1",
"insurance": {
"@market": "fr",
"animalBreed": "Chat de gouttière",
"animalGender": "UNKNOWN",
"animalName": "Moka",
"coming": false,
"endDate": "2025-10-28",
"holder": {
"@market": "fr",
"city": "Lille",
"dateOfBirth": "1987-05-14",
"email": "camille.dupont@example.fr",
"firstName": "Camille",
"lastName": "Dupont",
"name": "Camille Dupont",
"phoneNumber": "+33651293847",
"postalCode": "59800",
"streetAddress": "12 Rue des Tanneurs"
},
"insuranceCompany": "fr-acheel",
"insuranceName": "Assurance Animaux",
"insuranceNumber": "2682234",
"insuranceSubType": "catInsurance",
"insuranceType": "animalInsurance",
"premium": {
"@market": "fr",
"amount": {
"amount": 112.76,
"currency": "EUR"
},
"paymentFrequency": 12,
"period": "YEARLY_PREMIUM_PERIOD",
"taxation": "INCLUSIVE_TAXATION"
},
"startDate": "2025-10-29",
"veterinaryCareAmount": {
"amount": 1000,
"currency": "EUR"
},
"veterinaryCareCoverage": 80
}
}
]